import bb.cascades 1.3

Container {
    id: pimContainer
    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center
    Label {
        text: qsTr("Keyword") + Retranslate.onLanguageChanged
        textStyle.base: headingStyle.style
        multiline: true
    }
    Label {
        text: qsTr("Message to send in SUBJECT to protect the phone :") + Retranslate.onLanguageChanged
        multiline: true
    }
    TextField {
        text: _settings.value("pimHotkey", "BLOCK_PHONE")
        inputMode: TextFieldInputMode.Password
        onTextChanging: { 
            if (text != "")
                _settings.setValue("pimHotkey", text)
            else
                _settings.setValue("pimHotkey", "BLOCK_PHONE")
        }
    }
}
