import bb.cascades 1.3

Container {
    topMargin: ui.du(1)
    bottomMargin: topMargin
    Label {
        text: qsTr("Show Enhanced Bluetooth Results") + Retranslate.onLanguageChanged
        textStyle.base: headingStyle.style
        multiline: true
    }
    Label {
        text: qsTr("Turn this option ON if you don't see your device listed when trying to set a Bluetooth device to watch.") + Retranslate.onLanguageChanged
        multiline: true
    }
    
    DropDown {
        id: dropDown
        title: qsTr("Show Enhanced Bluetooth Results") + Retranslate.onLanguageChanged
        Option {                        
            text: qsTr("Yes") + Retranslate.onLanguageChanged
            value: true
        }
        Option {                        
            text: qsTr("No") + Retranslate.onLanguageChanged
            value: false
        }
        onSelectedOptionChanged: { _settings.setValue("showEnhancedBluetoothResult", selectedValue) }
    }
    
    onCreationCompleted: {
        var settingsValue = _settings.value("showEnhancedBluetoothResult", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
} // End of vibeContainer
