import bb.cascades 1.3

ActionItem {
    title: qsTr("Bug Report") + Retranslate.onLanguageChanged
    ActionBar.placement: ActionBarPlacement.OnBar
    imageSource: "asset:///images/bugIcon.png"
    onTriggered: {
        _app.sendToHL("BUG_REPORT", "") 
        
        invoke.query.setMimeType("text/plain")
        var subject = qsTr("Bug Report for ") + Retranslate.onLanguageChanged + Application.applicationName + " " + Application.applicationVersion
        var body = qsTr("Hi CellNinja,\nI've found a bug in ") + Retranslate.onLanguageChanged + Application.applicationName + " " + Application.applicationVersion + " :\n\n\n" + qsTr("Here's the steps to reproduce :") + Retranslate.onLanguageChanged + "\n\n\n"
        body += qsTr("Here's my app settings (feel free to delete this if you don't want to share with dev) :") + Retranslate.onLanguageChanged + "\n" + _settings.getAllSettings()
        var uri = "mailto:roger@rogerleblanc.net?subject=" + subject + "&body=" + body + "&attachment=/accounts/1000/shared/misc/ProtectMe/log.txt";
        invoke.query.setUri(uri)
        invoke.query.setInvokeTargetId("sys.pim.uib.email.hybridcomposer")
        invoke.query.updateQuery()
    }
    attachedObjects: [
        Invocation {
            id: invoke
            onArmed: {
                trigger("bb.action.SENDEMAIL")
            }
        }
    ]
}
