import bb.cascades 1.3
import "../CustomElements/Settings"

Container {
    horizontalAlignment: HorizontalAlignment.Fill
    
    CustomDivider {}    
    Label {
        text: qsTr("Recommended Partner Apps (from other vendors)") + Retranslate.onLanguageChanged
        horizontalAlignment: HorizontalAlignment.Center
        textStyle.color: mainPage.textColor
        multiline: true
    }
    ScrollView {
        scrollViewProperties.scrollMode: ScrollMode.Horizontal
        horizontalAlignment: HorizontalAlignment.Center
        Container {
            layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
            PartnerAppTemplate {
                appName: "AppLock"
                bbwLink: "appworld://content/59962011"
                appDescription: qsTr("Password lock applications from launching") + Retranslate.onLanguageChanged
            }
            PartnerAppTemplate {
                appName: "PushProtect"
                bbwLink: "appworld://content/59940014"
                appDescription: qsTr("Manhunt the thief of your device!") + Retranslate.onLanguageChanged
            }
        }
    }
}
