import bb.cascades 1.3
import bb.system 1.2

Container {
    topMargin: ui.du(1)
    bottomMargin: topMargin
    
    Label {
        text: qsTr("Crash Report") + Retranslate.onLanguageChanged
        textStyle.base: headingStyle.style
        multiline: true
    }
    Label {
        text: qsTr("Automatically send crash report to developer if ProtectMe gets terminated anormaly.") + Retranslate.onLanguageChanged
        multiline: true
    }
    DropDown {
        id: dropDown
        title: qsTr("Send Crash Report") + Retranslate.onLanguageChanged
        Option {                        
            text: qsTr("Yes") + Retranslate.onLanguageChanged
            value: true
        }
        Option {                        
            text: qsTr("No") + Retranslate.onLanguageChanged
            value: false
        }
        onSelectedOptionChanged: { _settings.setValue("sendCrashReport", selectedValue) }
    }
    
    onCreationCompleted: {
        var settingsValue = _settings.value("sendCrashReport", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
