import bb.cascades 1.3

Container {
    topMargin: ui.du(1)
    bottomMargin: topMargin
    Label {
        text: qsTr("Wi-Fi Trigger") + Retranslate.onLanguageChanged
        textStyle.base: headingStyle.style
        multiline: true
    }
    DropDown {
        id: dropDown
        title: qsTr("Protect on Wi-Fi deactivated") + Retranslate.onLanguageChanged
        Option {                        
            text: qsTr("Yes") + Retranslate.onLanguageChanged
            value: true
        }
        Option {                        
            text: qsTr("No") + Retranslate.onLanguageChanged
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("wifiWatch", selectedValue)
        }
    }
    
    onCreationCompleted: {
        var settingsValue = _settings.value("wifiWatch", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (settingsValue == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
